#ifndef RSA_H
#define RSA_H

#include <openssl/rsa.h>

int check_key(RSA *key);
RSA *load_private_key(char *keyfile);
RSA *load_public_key(char *keyfile);
RSA *init_public_key(char *n, char *e);
unsigned char *private_encrypt(char *input, RSA *key);
unsigned char *public_decrypt(unsigned char *input, RSA *key);

#endif
